package com.muyu.web.domain.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/19
 * @Description: 报文模板值保存请求对象
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MessageTemplateValueSaveReq {

    /**
     * 报文类别
     */
    private String category;
    /**
     * 报文编码
     */
    private String code;
    /**
     * 报文标签
     */
    private String label;

    /**
     * 报文长度
     */
    private Integer length;

    /**
     * 报文起始位置
     */
    private Integer startLocation;
    /**
     * 报文终止位置
     */
    private Integer endLocation;
    /**
     * 数据类型
     */
    private String valueType;
    /**
     * 表达式
     */
    private String elValue;
    /**
     * 固定值
     */
    private String fixedValue;
    /**
     * 数据最小范围
     */
    private Double minValue;
    /**
     * 数据最大范围
     */
    private Double maxValue;
}
